commit: 64d31f408a563f3da1aacb4aad79c85e1aaabef2
Author: Robert Siebeck <gentoo.bugzilla.2012 <AT> r123 <DOT> de>
AuthorDate: Wed Feb 13 15:44:51 2019 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Feb 13 22:24:45 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64d31f40
net-im/signal-desktop-bin: add new version 1.21.2
Signed-off-by: Robert Siebeck <gentoo.bugzilla.2012 <AT> r123.de>
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
net-im/signal-desktop-bin/Manifest | 1 +
.../signal-desktop-bin-1.21.2.ebuild | 63 ++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/net-im/signal-desktop-bin/Manifest
b/net-im/signal-desktop-bin/Manifest
index 9fceb6496e3..152e620550f 100644
--- a/net-im/signal-desktop-bin/Manifest
+++ b/net-im/signal-desktop-bin/Manifest
@@ -1 +1,2 @@
DIST signal-desktop_1.21.1_amd64.deb 74759386 BLAKE2B
16f203ee54757822db8952fcfd4ccaffcbc421efea1bb81dbf05dabef6d91f9652ee3cfb02e6e501a214596c55fdcbbaad33ec21e0df7175777e9ab0b4e43065
SHA512
058d02aa5ce89edc3f5ae7c8b2bf10f2bda8449d4be2a69f802014cd80c847bd387e64259ccf3f50877a84a291e52765e788f11a20a5953d07aad3db365fd19b
+DIST signal-desktop_1.21.2_amd64.deb 74745050 BLAKE2B
6000b23876abe54ba863dc5db021ab336497b211eb3d77c7addc3c183f2ac2f8918a00e61d813cbed8c23f8408323161b5b4a9762a84362ffc8d7a445f950e8e
SHA512
e678dd1d006cfdbb0fb09c1803dbe958502f53ff3c57a52bb6e3079b0e6d99171512b019888d70a0222072f9da53d94c5a33f781a0fd4b0c9c9c515573eebea3
diff --git a/net-im/signal-desktop-bin/signal-desktop-bin-1.21.2.ebuild
b/net-im/signal-desktop-bin/signal-desktop-bin-1.21.2.ebuild
new file mode 100644
index 00000000000..e4a362f0ca5
--- /dev/null
+++ b/net-im/signal-desktop-bin/signal-desktop-bin-1.21.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/-bin/}"
+
+inherit gnome2-utils pax-utils unpacker xdg-utils
+
+DESCRIPTION="Allows you to send and receive messages of Signal Messenger on
your computer"
+HOMEPAGE="https://signal.org/
+ https://github.com/WhisperSystems/Signal-Desktop"
+SRC_URI="https://updates.signal.org/desktop/apt/pool/main/s/${MY_PN}/${MY_PN}_${PV}_amd64.deb"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE=""
+
+RDEPEND="
+ gnome-base/gconf:2
+ dev-libs/nss
+ x11-libs/gtk+:3[X]
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ net-print/cups
+ "
+
+QA_PREBUILT="opt/Signal/signal-desktop
+ opt/Signal/libnode.so
+ opt/Signal/libffmpeg.so"
+
+S="${WORKDIR}"
+
+src_prepare(){
+ default
+ sed -e 's|\("/opt/Signal/signal-desktop"\)|\1 --start-in-tray|g' \
+ -i usr/share/applications/signal-desktop.desktop || die
+ unpack usr/share/doc/signal-desktop/changelog.gz
+}
+
+src_install() {
+ insinto /
+ dodoc changelog
+ doins -r opt
+ insinto /usr/share
+ doins -r usr/share/applications
+ doins -r usr/share/icons
+ fperms +x /opt/Signal/signal-desktop
+ pax-mark m opt/Signal/signal-desktop
+
+ dosym ../../opt/Signal/${MY_PN} /usr/bin/${MY_PN}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}